;
;
;       Floating Point Math entry points for TI-86
;
;
_INTGR          =            5468h            ; op1 = intgr(op1)
_MINUS1         =            5470h            ; op1 = op1 - 1
_FPSUB          =            5474h            ; op1 = op1-op2
_FPADD          =            5478h            ; op1 = op1+op2
_TIMESPT5       =            5484h            ; op1 = .5 * op1
_FPSQUARE       =            5488h            ; op1 = op1^2
_FPMULT         =            548Ch            ; op1 = op1*op2
_FRAC           =            549Ch            ; op1 = frac(op1)
_FPRECIP        =            54A4h            ; op1 = 1/op1
_FPDIV          =            54A8h            ; op1 = op1/op2
;
_SQROOT         =            54ACh     ; op1 = sqrt(op1), neg #'s error
_SQROOTP        =            54B0h     ; op1 = sqrt(op1), neg #'s -> complex
;
_RNDGUARD       =            54BCh            ; round op1 to 12 digits
;
_LNX            =            54C4h     ; op1 = ln(op1), neg #'s error
_LNXP           =            54C8h     ; op1 = ln(op1), neg #'s -> complex
;
_LOGXP          =            54CCh     ; op1 = log(op1), neg #'s error
_LOGX           =            54D0h     ; op1 = log(op1), neg #'s -> complex
;
_ETOX           =            54D4h            ; op1 = e^op1
_TENX           =            54D8h            ; op1 = 10^op1
;
_SIN            =            54E0h            ; op1 = sin(op1), current mode
_COS            =            54E4h            ; op1 = cos(op1), current mode
_TAN            =            54E8h            ; op1 = tan(op1), current mode
;
_TANH           =            54F0h            ; op1= hyp tan(op1)
_COSH           =            54F4h            ; op1= hyp cos(op1)
_SINH           =            54F8h            ; op1= hyp sin(op1)
;
_ACOS           =            5508h   ; op1 = inv cos(op1), no complex results
_ACOSP          =            550Ch   ; op1 = inv cos(op1), complex results ok
;
_ATAN           =            5510h            ; op1 = inv tan(op1)
_ASIN           =            5514h            ; op1 = inv sin(op1)
;
_ATANH          =            551Ch            ; op1 = inv hyp Tan(op1)
_ASINH          =            5524h            ; op1 = inv hyp sin(op1)
_ACOSH          =            5528h            ; op1 = inv hyp cos(op1)
;
_YTOX           =            5538h            ; op1 = op1^op2

