;
;
;       Support routines for OP1 - OP6 registers
;
;
;
_OP3TOOP4       =            4203h            ; op3 -> op4, 11 bytes moved
_OP1TOOP4       =            4207h
_OP2TOOP4       =            420Bh
_OP4TOOP2       =            4213h
_OP4TOOP3       =            4217h
_OP3TOOP2       =            421Bh
_OP1TOOP3       =            421Fh
_OP5TOOP2       =            4227h
_OP5TOOP6       =            422Bh
_OP5TOOP4       =            422Fh
_OP1TOOP2       =            4233h
_OP6TOOP2       =            423Bh
_OP6TOOP1       =            423Fh
_OP4TOOP1       =            4243h
_OP5TOOP1       =            4247h
_OP3TOOP1       =            424Bh
_OP4TOOP5       =            424Fh
_OP3TOOP5       =            4253h
_OP2TOOP5       =            4257h
_OP2TOOP6       =            425Fh
_OP1TOOP6       =            4263h
_OP1TOOP5       =            426Bh
_OP2TOOP1       =            426Fh
;
_MOV10B         =            427Bh            ; move 10 bytes
_MOV18          =            427Fh
_mov9b          =            4283h
_MOV8B          =            4287h
_MOV7B          =            428Bh
_MOV6B          =            4293h
_MOV5B          =            4297h
_MOV4B          =            429Bh
_MOV3B          =            429Fh
_MOV2B          =            42A3h
_OP2TOOP3       =            42CBh
_OP4TOOP6       =            42D3h
_MOV10TOOP1     =            42D7h     ; 10 bytes @ (hl) -> op1 non banked
_MOV10TOOP2     =            42DFh     ; 10 bytes @ (hl) -> op2 non banked
_MOVFROP1       =            42E3h     ; 10 bytes @ op1 -> (de) non banked
;
_OP4SET1        =            42E7h     ; op4 = floatin point 1
_OP3SET1        =            42EBh
_OP2SET8        =            42EFh
_OP2SET5        =            42F7h
_OP2SET4        =            42FBh
_OP2SET3        =            4303h
_op1set1        =            430Fh
_OP1SET4        =            4313h
_OP1SET3        =            4317h
_OP3SET2        =            431Bh
_OP1SET2        =            431Fh
_OP2SET2        =            4323h
_OP2SET1        =            432Fh
_OP4SET0        =            4353h
_OP3SET0        =            4357h
_OP2SET0        =            435Bh
_OP1SET0        =            435Fh
;
_ZEROOP1M       =            4367h            ; mantissa op1 = 0's
_ZEROOP1        =            436Bh            ; 11 bytes op1 = 0
_ZEROOP2        =            436Fh
_ZEROOP3        =            4373h
